before_script:
  - echo "Starting CI - React TS application"

variables:
  app_name: rotpoc
  TAG: 1.$CI_PIPELINE_ID
  #registry_prefix: registry.b2w.io/b2wdigital

stages:
  - build
  - docker

build_and_test:
  stage: build
  image: node
  script:
    - npm install
    - npm run build

docker:
  stage: docker
  image: docker
  script:
    - DOCKER_BUILDKIT=1 docker build .

  dependencies:
    - build_and_test
